# musicube

### Development

Requirements:

```
$ python --version
3.9.7
```

Configure virtual environment:

```
$ python -m venv venv
$ source venv/bin/activate
```

Install requirements:

```
$ pip install -r requirements.txt
```

Configure ENV:

```
$ cp .env.template .env
# Write BOT_TOKEN into .env
```

Run bot:

```
$ python src/bot.py
```

### Deployment

Requirements:

```
$ docker --version
Docker version 20.10.8, build 3967b7d28e
$ make --version
GNU Make 4.3
Built for x86_64-pc-linux-gnu
Copyright (C) 1988-2020 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
```

Build image:

```
$ make build
```

Run image:

```
$ docker run --rm --detach --name musicube musicube:latest
```
